Skip to main content
GET
/
commerce
/
catalog
/
storefront
/
pricelists
/
{priceListCode}
Error
A valid request URL is required to generate request examples
{
  "ancestors": [
    {
      "parentPriceListId": 123,
      "priceListCode": "<string>",
      "priceListId": 123,
      "priceListLevel": 123
    }
  ],
  "descendants": [
    {
      "parentPriceListId": 123,
      "priceListCode": "<string>",
      "priceListId": 123,
      "priceListLevel": 123
    }
  ],
  "description": "<string>",
  "enabled": true,
  "filteredInStoreFront": true,
  "isIndexed": true,
  "isSiteDefault": true,
  "name": "<string>",
  "priceListCode": "<string>",
  "priceListId": 123,
  "resolvable": true,
  "validSites": [
    123
  ]
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

priceListCode
string
required

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

Success

ancestors
object[] | null
descendants
object[] | null
description
string | null
enabled
boolean
filteredInStoreFront
boolean
isIndexed
boolean | null
isSiteDefault
boolean
name
string | null
priceListCode
string | null
priceListId
integer<int32>
resolvable
boolean
validSites
integer<int32>[] | null